#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtWidgets import QDockWidget, QTabWidget
from .file import FileSettings


class Settings(QDockWidget):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.setAllowedAreas(
            Qt.DockWidgetArea.LeftDockWidgetArea |
            Qt.DockWidgetArea.RightDockWidgetArea |
            Qt.DockWidgetArea.BottomDockWidgetArea
        )

        self.setWindowTitle("Settings")

        self.tabs = QTabWidget()

        self.file_settings = FileSettings()
        self.tabs.addTab(self.file_settings, "Files")

        self.setWidget(self.tabs)

